From 62106833d4e8af5325ed7a55c7a897e43a52bb20 Mon Sep 17 00:00:00 2001
From: Aleksey Chernov <valexlin@gmail.com>
Date: Sun, 1 Jan 2023 09:55:04 +0400
Subject: [PATCH] Compile warnings/errors fixed: `strcasecmp` missing
 prototype.

---
 thirdparty/antiword/antiword.h  | 3 +++
 thirdparty/chmlib/src/chm_lib.c | 6 +-----
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/thirdparty/antiword/antiword.h b/thirdparty/antiword/antiword.h
index e6f4d68f..0abce7af 100644
--- a/thirdparty/antiword/antiword.h
+++ b/thirdparty/antiword/antiword.h
@@ -31,6 +31,9 @@
 #else
 #include <sys/types.h>
 #endif /* __riscos */
+#include <string.h>
+#include <strings.h>
+
 #include "wordconst.h"
 #include "wordtypes.h"
 #include "fail.h"
diff --git a/thirdparty/chmlib/src/chm_lib.c b/thirdparty/chmlib/src/chm_lib.c
index 637a32b2..2e26db1e 100644
--- a/thirdparty/chmlib/src/chm_lib.c
+++ b/thirdparty/chmlib/src/chm_lib.c
@@ -59,6 +59,7 @@
 #include <stdint.h>
 #include <stdlib.h>
 #include <string.h>
+#include <strings.h>
 #ifdef CHM_DEBUG
 #include <stdio.h>
 #endif
@@ -70,14 +71,9 @@
 #ifdef WIN32
 #include <windows.h>
 #include <malloc.h>
-#ifdef _WIN32_WCE
 #define strcasecmp _stricmp
 #define strncasecmp _strnicmp
 #else
-#define strcasecmp _stricmp
-#define strncasecmp _strnicmp
-#endif
-#else
 /* basic Linux system includes */
 #define _XOPEN_SOURCE 500
 #include <unistd.h>
-- 
2.37.4

